Skip to main content
GET
/
cost-periods
/
{id}
Get a cost period
curl --request GET \
  --url https://www.ruddr.io/api/workspace/cost-periods/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "e9b3f207-5c14-4a8d-b2e6-f0d7c8a1e953",
  "isDefault": false,
  "start": "2025-01-01",
  "end": "2025-12-31",
  "currency": "USD",
  "costMethodId": "fixed_monthly",
  "costPerHour": null,
  "overheadCostPerHour": null,
  "totalCostPerHour": null,
  "costPerMonth": 12000,
  "overheadCostPerMonth": 3000,
  "totalCostPerMonth": 15000,
  "createdAt": "2025-01-01T09:00:00.000Z"
}
A period defining the per-hour labor and overhead costs for a member.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The cost period uuid.

Response

200

id
string

The unique identifier for the object.

isDefault
boolean

Whether this is the default cost period for the member.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

end
string<date> | null

The end date for the period. Will be in the form YYYY-MM-DD. null if this is the most recent period.

currency
string

The currency code for the cost period.

costMethodId
enum<string>

The cost method used for this period. One of hourly, fixed_hourly, or fixed_monthly.

Available options:
hourly,
fixed_hourly,
fixed_monthly
costPerHour
number | null

The labor cost per hour. null when costMethodId is fixed_monthly.

overheadCostPerHour
number | null

The overhead cost per hour. null when costMethodId is fixed_monthly.

totalCostPerHour
number | null

The sum of costPerHour and overheadCostPerHour. null when costMethodId is fixed_monthly.

costPerMonth
number | null

The labor cost per month. null when costMethodId is hourly or fixed_hourly.

overheadCostPerMonth
number | null

The overhead cost per month. null when costMethodId is hourly or fixed_hourly.

totalCostPerMonth
number | null

The sum of costPerMonth and overheadCostPerMonth. null when costMethodId is hourly or fixed_hourly.

createdAt
string<date-time>

The timestamp when the object was created.